package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.biz.dal.enums.ImGroupType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * 即时通讯群组(ImGroup)表实体类
 *
 * @author zx
 * @since 2022-03-22 10:45:57
 */
@Data
@ApiModel(value = "im_group-即时通讯群组")
public class ImGroup implements Serializable {
    @TableId(value = "id_")
    @NotBlank(message = "群编号不可为空")
    @ApiModelProperty(value = "主键;")
    private String id;

//    @NotBlank(message = "群名称不能为空")
    @TableField("name_")
    @ApiModelProperty(value = "群名称")
    private String name;

    @TableField("introduce_")
    @ApiModelProperty(value = "群简介")
    private String introduce;

    @TableField("member_num_")
    @ApiModelProperty(value = "群成员数")
    private Integer memberNum;

    @TableField("memo_")
    @ApiModelProperty(value = "群备注")
    private String memo;

    @TableField("img_")
    @ApiModelProperty(value = "群头像")
    private String img;

    @TableField("type_")
    @ApiModelProperty(value = "群类型:FAN粉丝群、COURSE课程群;")
    private ImGroupType type = ImGroupType.FAN;

    @TableField("create_by_")
    @ApiModelProperty(value = "创建人")
    private Long createBy;

    @TableField("auto_pass_flag_")
    @ApiModelProperty(value = "是否自动通过审核")
    private Boolean autoPassFlag = false;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间;")
    private Date updateTime;

    @TableField("course_group_id_")
    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @TableField("config_json_")
    @ApiModelProperty(value = "群聊配置")
    private String configJson;

    @TableField(exist = false) // 不映射数据库字段，返回群成员人数限制
    @ApiModelProperty("群成员人数限制")
    private Integer groupMemberLimit;

    @TableField(exist = false)
    @ApiModelProperty(value = "是否允许私聊")
    private Boolean allowPrivateChatFlag;

}

