package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.biz.dal.enums.ImGroupMemberRoleType;
import com.yonge.cooleshow.biz.dal.enums.im.EImGroupMemberRoleType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 群成员表(ImGroupMember)表实体类
 *
 * @author zx
 * @since 2022-03-22 10:45:58
 */
@Data
@ApiModel(value = "im_group_member-群成员表")
public class ImGroupMember implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("group_id_")
    @ApiModelProperty(value = "群编号;")
    private String groupId;

    @TableField("user_id_")
    @ApiModelProperty(value = "用户编号;")
    private Long userId;

    @TableField("nickname_")
    @ApiModelProperty(value = "昵称;")
    private String nickname;

    @TableField("avatar_")
    @ApiModelProperty(value = "用户头像;")
    private String avatar;

    @TableField("is_admin_")
    @ApiModelProperty(value = "是否是管理员")
    private Boolean isAdmin;

    @TableField("role_type_")
    @ApiModelProperty(value = "群角色TEACHER老师、STUDENT学生")
    private ImGroupMemberRoleType roleType;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间;")
    private Date updateTime;

    @TableField("group_role_type_")
    @ApiModelProperty(value = "群角色")
    private EImGroupMemberRoleType groupRoleType;

    @TableField("group_mute_")
    @ApiModelProperty(value = "禁言")
    private Boolean groupMute;

    @TableField(exist = false)
    @ApiModelProperty(value = "IM用户ID")
    private String imUserId;

    @TableField("allow_private_chat_flag_")
    @ApiModelProperty(value = "是否允许私聊")
    private Boolean allowPrivateChatFlag;

    public ImGroupMember() {
    }

    public ImGroupMember(String groupId, Long userId, String nickname, String avatar, Boolean isAdmin, ImGroupMemberRoleType roleType) {
        this.groupId = groupId;
        this.userId = userId;
        this.avatar = avatar;
        this.nickname = nickname;
        this.isAdmin = isAdmin;
        this.roleType = roleType;
    }
}

