package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.biz.dal.enums.im.EImUserFriendSourceForm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户通讯录表(ImUserFriend)表实体类
 *
 * @author zx
 * @since 2022-03-22 10:46:00
 */
@Data
@ApiModel(value = "im_user_friend-用户通讯录表")
public class ImUserFriend implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("user_id_")
    @ApiModelProperty(value = "当前用户编号")
    private Long userId;

    @TableField("client_type_")
    @ApiModelProperty(value = "客户端类型")
    private ClientEnum clientType;

    @TableField("friend_id_")
    @ApiModelProperty(value = "好友编号")
    private Long friendId;

    @TableField("friend_type_")
    @ApiModelProperty(value = "好友身份")
    private ClientEnum friendType;

    @TableField(exist = false)
    @ApiModelProperty(value = "融云好友编号")
    private String imFriendId;

    @TableField("friend_avatar_")
    @ApiModelProperty(value = "好友头像")
    private String friendAvatar;

    @TableField("friend_nickname_")
    @ApiModelProperty(value = "好友昵称")
    private String friendNickname;

    @TableField("memo_")
    @ApiModelProperty(value = "备注")
    private String memo;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间;")
    private Date updateTime;

    @TableField("source_form_")
    @ApiModelProperty(value = "建立好友时，标记建立身份，TEACHER:以老师身份建立，CUSTOMER:以客服身份建立")
    private EImUserFriendSourceForm sourceForm;


    public ImUserFriend clientType(ClientEnum clientType) {
        this.clientType = clientType;
        return this;
    }
}

